MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
WStringCompare.hxx File Reference
`#include "Compiler.h"`
`#include <wchar.h>`
Include dependency graph for WStringCompare.hxx:

Go to the source code of this file.

## Functions
static bool | StringIsEmpty (const wchar_t *string)
gcc_pure bool | StringStartsWith (const wchar_t *haystack, const wchar_t *needle)
gcc_pure bool | StringEndsWith (const wchar_t *haystack, const wchar_t *needle)
gcc_nonnull_all const wchar_t * | StringAfterPrefix (const wchar_t *string, const wchar_t *prefix)
| Returns the portion of the string after a prefix. More...
gcc_pure const wchar_t * | FindStringSuffix (const wchar_t *p, const wchar_t *suffix)
| Check if the given string ends with the specified suffix. More...

## Function Documentation

gcc_pure const wchar_t* FindStringSuffix | ( | const wchar_t * | p,
|  | const wchar_t * | suffix
| ) |  |

Check if the given string ends with the specified suffix.

If yes, returns the position of the suffix, and nullptr otherwise.

gcc_nonnull_all const wchar_t* StringAfterPrefix | ( | const wchar_t * | string,
|  | const wchar_t * | prefix
| ) |  |

Returns the portion of the string after a prefix.

If the string does not begin with the specified prefix, this function returns nullptr.

gcc_pure bool StringEndsWith | ( | const wchar_t * | haystack,
|  | const wchar_t * | needle
| ) |  |

static bool StringIsEmpty | ( | const wchar_t * | string | ) |
| inline static

Definition at line 38 of file WStringCompare.hxx.

gcc_pure bool StringStartsWith | ( | const wchar_t * | haystack,
|  | const wchar_t * | needle
| ) |  |